Ga naar inhoud

Git-lek laat malafide repository code op lokaal systeem uitvoeren


Aanbevolen berichten

Een kwetsbaarheid in het gedistribueerde versiebeheersysteem Git maakt het mogelijk voor een aanvaller om code op systemen van gebruikers uit te voeren als die een malafide repository klonen. Git is een populaire oplossing voor softwareontwikkelaars om code van een lokale repository naar een remote Git-repository te krijgen. Zo kunnen meerdere programmeurs aan de code werken.

Het is ook mogelijk om een remote Git-repository naar een lokale machine te kopiëren. Dit kan via het "git clone" commando. Een kwetsbaarheid in Git zorgt ervoor dat wanneer een programmeur een malafide remote repository wil klonen deze repository code op het lokale systeem van de programmeur kan uitvoeren. Het probleem speelt alleen op besturingssystemen met case-insensitive filesystems die symbolic links ondersteunen, zoals macOS en Windows.

Gebruikers wordt aangeraden om te updaten naar een nieuwe versie. Het probleem is verholpen in Git v2.17.6, v2.18.5, v2.19.6, v2.20.5, v2.21.4, v2.22.5, v2.23.4, v2.24.4, v2.25.5, v2.26.3, v2.27.1, v2.28.1, v2.29.3 en v2.30.2. Wanneer dit niet mogelijk is wordt aangeraden om ondersteuning van symbolic links in Git en process filters uit te schakelen en geen onbetrouwbare repositories te klonen.

 

bron: https://www.security.nl

Link naar reactie
Delen op andere sites


 Delen

×
×
  • Nieuwe aanmaken...